import authTokenService from "core/services/authTokenService";
import redirectTo from "core/utils/redirectTo";
import type { NextPage } from "next";
import Head from "next/head";
import { useCallback, useEffect } from "react";
import { useDispatch } from "react-redux";
import { userAuth } from "../core/redux/actions/auth";

const Home: NextPage = () => {
  useEffect(()=>{
    console.log(authTokenService.hasTokenInLocalstorage());
    if(authTokenService.hasTokenInLocalstorage()) {
      redirectTo('/panel');
    } else {
      redirectTo('/auth');
    }
  }, [])

  return (
    <div>
      <Head>
        <title>ZeroCode.Puzzle</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main>
        
      </main>
    </div>
  );
};

export default Home;
